function CollapseAll(Sender) {
  for(var i = 0; i < Editor.LineCount; i++)
  {
    if(!Editor.IsLineCollapsed(i))
    {
      Editor.ToggleLineCollapse(i);
    }
  }
}

function ExpandAll(Sender) {
  for(var i = 0; i < Editor.LineCount; i++)
  {
    if(Editor.IsLineCollapsed(i))
    {
      Editor.ToggleLineCollapse(i);
    }
  }
}

Script.RegisterAction("Editor", "Expand All", "Ctrl+Shift+N", &ExpandAll);
Script.RegisterAction("Editor", "Collapse All", "Ctrl+Shift+M", &CollapseAll);